%define upstream_name    Vim-Tag
%define upstream_version 1.110690

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Generate perl tags for vim
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Vim/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Constructor)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Inherited)
BuildRequires: perl(Hash::Rename)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Manage tags for perl code in vim, with ideas on integrating tags with the
bash programmable completion project. See the synopsis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/ptag*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.110.690-11.mga9
+ Revision: 1806578
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.110.690-10.mga8
+ Revision: 1498201
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.110.690-9.mga7
+ Revision: 1272535
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.110.690-8.mga6
+ Revision: 1035686
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.110.690-7.mga6
+ Revision: 949551
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.110.690-6.mga5
+ Revision: 790025
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.110.690-5.mga5
+ Revision: 747416
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.690-4.mga5
+ Revision: 686830
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.690-3.mga4
+ Revision: 515973
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.690-2.mga3
+ Revision: 374725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 jquelin <jquelin> 1.110.690-1.mga1
+ Revision: 70524
- update to 1.110690

* Sun Jan 09 2011 jquelin <jquelin> 1.100.880-1.mga1
+ Revision: 4837
- imported package perl-Vim-Tag

